import * as dotenv from 'dotenv';
import * as querystring from 'qs';
import axios from 'axios';

dotenv.config();

export const verifyCaptcha = async (captcha_token: string): Promise<boolean> => {
    let postData = querystring.stringify({
        response: captcha_token,
        secret: process.env.HCAPTCHA_SECRET
    });

    let res = await axios.post('https://hcaptcha.com/siteverify', postData);
    return res.data.success;
};
